diff --git a/src/stats.c b/src/stats.c
index 61fb048..2636432 100644
--- a/src/stats.c
+++ b/src/stats.c
@@ -87,7 +87,7 @@ const char *stats_text[20] = { "TCP_ACCEPT", "REJ_BAD_REQ", "REJ_OVERLOAD",
     "OTHER" };
 
 /* Call this to initialize stats */
-int dcc_stats_init() {
+int dcc_stats_init(void) {
     if (arg_stats) {
         if (pipe(dcc_statspipe) == -1) {
             return -1;
@@ -99,7 +99,7 @@ int dcc_stats_init() {
 
 
 /* In the preforking model call this to initialize stats for forked children */
-void dcc_stats_init_kid() {
+void dcc_stats_init_kid(void) {
     if (arg_stats) {
         close(dcc_statspipe[0]);
     }
diff --git a/src/where.c b/src/where.c
index 38f7b7b..7d78489 100644
--- a/src/where.c
+++ b/src/where.c
@@ -83,7 +83,7 @@ static int dcc_lock_one(struct dcc_hostdef *hostlist,
                         int *cpu_lock_fd);
 
 
-void dcc_read_localslots_configuration()
+void dcc_read_localslots_configuration(void)
 {
     struct dcc_hostdef *hostlist;
     int ret;
